<cfscript>
 /**
 * Copyright (C) 2013 Ortus Solutions, Corp
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALING
 * IN THE SOFTWARE.
 */

    /**
     * Returns access to a cache's Redis Connection Jedis Pool
     * 
     * @cacheName The name of the registered cache connection to get a native Jedis client from
     * 
     * @return redis.clients.jedis.JedisPool
     */
    any function redisGetConnectionPool( string cacheName='' ){
		return redisGetProvider( arguments.cacheName ).getRedisConnectionPool();
	}
</cfscript>